Package com.independentsoft.office.word

# Class WebSettings

java.lang.Object
com.independentsoft.office.word.WebSettings

public class WebSettings extends Object
The Class WebSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebSettings()`
  Instantiates a new web settings.
  `WebSettings​(byte[] buffer)`
  Instantiates a new web settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WebSettings`
  `clone()`
  `ExtendedBoolean`
  `getAllowPng()`
  Gets the allow png.
  `List<Div>`
  `getDivs()`
  Gets the divs.
  `ExtendedBoolean`
  `getDoNotOrganizeInFolder()`
  Gets the do not organize in folder.
  `ExtendedBoolean`
  `getDoNotRelyOnCss()`
  Gets the do not rely on css.
  `ExtendedBoolean`
  `getDoNotSaveAsSingleFile()`
  Gets the do not save as single file.
  `ExtendedBoolean`
  `getDoNotUseLongFileNames()`
  Gets the do not use long file names.
  `String`
  `getEncoding()`
  Gets the encoding.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the webSettings root, or `null` if absent.
  `ExtendedBoolean`
  `getOptimizeForBrowser()`
  Gets the optimize for browser.
  `int`
  `getPixelsPerInch()`
  Gets the pixels per inch.
  `ExtendedBoolean`
  `getRelyOnVml()`
  Gets the rely on vml.
  `ExtendedBoolean`
  `getSaveSmartTagsAsXml()`
  Gets the save smart tags as xml.
  `ScreenSize`
  `getTargetScreenSize()`
  Gets the target screen size.
  `void`
  `setAllowPng​(ExtendedBoolean allowPng)`
  Sets the allow png.
  `void`
  `setDoNotOrganizeInFolder​(ExtendedBoolean doNotOrganizeInFolder)`
  Sets the do not organize in folder.
  `void`
  `setDoNotRelyOnCss​(ExtendedBoolean doNotRelyOnCss)`
  Sets the do not rely on css.
  `void`
  `setDoNotSaveAsSingleFile​(ExtendedBoolean doNotSaveAsSingleFile)`
  Sets the do not save as single file.
  `void`
  `setDoNotUseLongFileNames​(ExtendedBoolean doNotUseLongFileNames)`
  Sets the do not use long file names.
  `void`
  `setEncoding​(String encoding)`
  Sets the encoding.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the webSettings root.
  `void`
  `setOptimizeForBrowser​(ExtendedBoolean optimizeForBrowser)`
  Sets the optimize for browser.
  `void`
  `setPixelsPerInch​(int pixelsPerInch)`
  Sets the pixels per inch.
  `void`
  `setRelyOnVml​(ExtendedBoolean relyOnVml)`
  Sets the rely on vml.
  `void`
  `setSaveSmartTagsAsXml​(ExtendedBoolean saveSmartTagsAsXml)`
  Sets the save smart tags as xml.
  `void`
  `setTargetScreenSize​(ScreenSize targetScreenSize)`
  Sets the target screen size.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebSettings

    public WebSettings()
    Instantiates a new web settings.

  - ### WebSettings

    public WebSettings​(byte[] buffer) throws XMLStreamException
    Instantiates a new web settings.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public WebSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDivs

    public List<Div> getDivs()
    Gets the divs.
    Returns:
      the divs

  - ### getAllowPng

    public ExtendedBoolean getAllowPng()
    Gets the allow png.
    Returns:
      the allow png

  - ### setAllowPng

    public void setAllowPng​(ExtendedBoolean allowPng)
    Sets the allow png.
    Parameters:
      `allowPng` - the new allow png

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the webSettings root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the webSettings root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### getDoNotOrganizeInFolder

    public ExtendedBoolean getDoNotOrganizeInFolder()
    Gets the do not organize in folder.
    Returns:
      the do not organize in folder

  - ### setDoNotOrganizeInFolder

    public void setDoNotOrganizeInFolder​(ExtendedBoolean doNotOrganizeInFolder)
    Sets the do not organize in folder.
    Parameters:
      `doNotOrganizeInFolder` - the new do not organize in folder

  - ### getDoNotRelyOnCss

    public ExtendedBoolean getDoNotRelyOnCss()
    Gets the do not rely on css.
    Returns:
      the do not rely on css

  - ### setDoNotRelyOnCss

    public void setDoNotRelyOnCss​(ExtendedBoolean doNotRelyOnCss)
    Sets the do not rely on css.
    Parameters:
      `doNotRelyOnCss` - the new do not rely on css

  - ### getDoNotSaveAsSingleFile

    public ExtendedBoolean getDoNotSaveAsSingleFile()
    Gets the do not save as single file.
    Returns:
      the do not save as single file

  - ### setDoNotSaveAsSingleFile

    public void setDoNotSaveAsSingleFile​(ExtendedBoolean doNotSaveAsSingleFile)
    Sets the do not save as single file.
    Parameters:
      `doNotSaveAsSingleFile` - the new do not save as single file

  - ### getDoNotUseLongFileNames

    public ExtendedBoolean getDoNotUseLongFileNames()
    Gets the do not use long file names.
    Returns:
      the do not use long file names

  - ### setDoNotUseLongFileNames

    public void setDoNotUseLongFileNames​(ExtendedBoolean doNotUseLongFileNames)
    Sets the do not use long file names.
    Parameters:
      `doNotUseLongFileNames` - the new do not use long file names

  - ### getEncoding

    public String getEncoding()
    Gets the encoding.
    Returns:
      the encoding

  - ### setEncoding

    public void setEncoding​(String encoding)
    Sets the encoding.
    Parameters:
      `encoding` - the new encoding

  - ### getOptimizeForBrowser

    public ExtendedBoolean getOptimizeForBrowser()
    Gets the optimize for browser.
    Returns:
      the optimize for browser

  - ### setOptimizeForBrowser

    public void setOptimizeForBrowser​(ExtendedBoolean optimizeForBrowser)
    Sets the optimize for browser.
    Parameters:
      `optimizeForBrowser` - the new optimize for browser

  - ### getPixelsPerInch

    public int getPixelsPerInch()
    Gets the pixels per inch.
    Returns:
      the pixels per inch

  - ### setPixelsPerInch

    public void setPixelsPerInch​(int pixelsPerInch)
    Sets the pixels per inch.
    Parameters:
      `pixelsPerInch` - the new pixels per inch

  - ### getRelyOnVml

    public ExtendedBoolean getRelyOnVml()
    Gets the rely on vml.
    Returns:
      the rely on vml

  - ### setRelyOnVml

    public void setRelyOnVml​(ExtendedBoolean relyOnVml)
    Sets the rely on vml.
    Parameters:
      `relyOnVml` - the new rely on vml

  - ### getSaveSmartTagsAsXml

    public ExtendedBoolean getSaveSmartTagsAsXml()
    Gets the save smart tags as xml.
    Returns:
      the save smart tags as xml

  - ### setSaveSmartTagsAsXml

    public void setSaveSmartTagsAsXml​(ExtendedBoolean saveSmartTagsAsXml)
    Sets the save smart tags as xml.
    Parameters:
      `saveSmartTagsAsXml` - the new save smart tags as xml

  - ### getTargetScreenSize

    public ScreenSize getTargetScreenSize()
    Gets the target screen size.
    Returns:
      the target screen size

  - ### setTargetScreenSize

    public void setTargetScreenSize​(ScreenSize targetScreenSize)
    Sets the target screen size.
    Parameters:
      `targetScreenSize` - the new target screen size